Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class RSAKeyPairGeneratorSpi

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--gnu.crypto.jce.KeyPairGeneratorAdapter
                  |
                  +--gnu.crypto.jce.RSAKeyPairGeneratorSpi

public class RSAKeyPairGeneratorSpi
extends KeyPairGeneratorAdapter

The implementation of a `KeyPairGenerator` adapter class to wrap gnu.crypto RSA keypair generator instances.

In case the client does not explicitly initialize the KeyPairGenerator (via a call to an `initialize()` method), the GNU Crypto provider uses a default modulus size (keysize) of 1024 bits.

Version:
  $Revision: 1.1 $

Fields inherited from class gnu.crypto.jce.KeyPairGeneratorAdapter
`adaptee`

Constructor Summary
`RSAKeyPairGeneratorSpi()`

Method Summary
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` | `initialize(int keysize, java.security.SecureRandom random)`

Methods inherited from class gnu.crypto.jce.KeyPairGeneratorAdapter
`generateKeyPair`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyPairGeneratorSpi

    public RSAKeyPairGeneratorSpi()

Method Detail

### initialize

    public void initialize(int keysize,
                           java.security.SecureRandom random)

  Overrides:
    `initialize` in class `KeyPairGeneratorAdapter`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `KeyPairGeneratorAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.